<div>
  <h2>{{pageTitle}}</h2>
  <hr>
  <form #addTopic="ngForm" (ngSubmit)="onSubmit(addTopic)">
    <div class="form-group">
      <div class="alert alert-success" *ngIf="status=='success'">{{message}}</div>
      <div class="alert alert-danger" *ngIf="status=='error'">{{message}}</div>
      <label for="title">Título</label>
      <input type="text" id="title" name="title" #title="ngModel" [(ngModel)]="topic.title" class="form-control" required>
      <small class="invalid-feedback d-block" *ngIf="!title.valid && title.touched">Título no válido</small>
    </div>
    <div class="form-group">
        <label for="content">Contenido</label>
        <textarea id="content" name="content" #content="ngModel" [(ngModel)]="topic.content" class="form-control" required>
        </textarea>
        <small class="invalid-feedback d-block" *ngIf="!content.valid && content.touched">El contenido no es válido</small>
    </div>
    <div class="form-group">
        <label for="code">Código</label>
        <textarea id="code" name="code" #code="ngModel" [(ngModel)]="topic.code" class="form-control" required>
        </textarea>
        <small class="invalid-feedback d-block" *ngIf="!code.valid && code.touched">El código no es válido</small>
    </div>
    <div class="form-group">
        <label for="lang">¿De que lenguaje hablas?</label>
        <select id="lang" name="lang" #lang="ngModel" [(ngModel)]="topic.lang" class="form-control" required>
          <option *ngFor="let language of langSelect" value="{{language}}">{{language}}</option>
        </select>
        <small class="invalid-feedback d-block" *ngIf="!lang.valid && lang.touched">Elige una opción</small>
    </div>
    <p>
      <input type="submit" value="{{btnLabel}}" class="btn btn-primary" [disabled]="!addTopic.form.valid">
    </p>

    
  </form>
</div>
  

